Name:           jdependency
Version:        0.7
Release:        %mkrel 4
Summary:        This project provides an API to analyse class dependencies
License:        ASL 2.0
URL:            http://github.com/tcurdt/%{name}
BuildArch:      noarch
Group:          Development/Java

Source0:        http://github.com/tcurdt/%{name}/archive/%{name}-%{version}.tar.gz
# Upstream uses different version of objectweb-asm than Fedora has.
Patch0:         %{name}-asm.patch

BuildRequires:  maven-local
BuildRequires:  objectweb-asm
BuildRequires:  apache-commons-io

%description
%{name} is small library that helps you analyze class level
dependencies, clashes and missing classes.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch0
%mvn_file : %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt README.md

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.7-4.mga4
+ Revision: 537834
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 0.7-3.mga4
+ Revision: 487909
- Build with xmvn

* Sat Jan 12 2013 umeabot <umeabot> 0.7-2.mga3
+ Revision: 355291
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 0.7-1.mga3
+ Revision: 324884
- New version

* Thu Apr 28 2011 dmorgan <dmorgan> 0.6-5.mga1
+ Revision: 92537
- Rebuild after bootstrapping
- imported package jdependency


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 14 2010 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.6-3
- Add license to javadoc subpackage
- Change jakarta-commons-io for apache-commons-io
- Add BR to maven 

* Thu Oct 14 2010 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.6-2
- Rename from vafer-jdependency to jdependency alone

* Thu Oct 14 2010 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.6-1
- Initial package
